Index: libs/range/doc/history_ack.qbk
===================================================================
--- libs/range/doc/history_ack.qbk	(revision 81672)
+++ libs/range/doc/history_ack.qbk	(working copy)
@@ -23 +23 @@
-* Jonathan Turkanis for porting the lib (as far sa possible) to vc6 and vc7.
+* Jonathan Turkanis for porting the lib (as far as possible) to vc6 and vc7.
Index: libs/range/doc/reference/adaptors/type_erased.qbk
===================================================================
--- libs/range/doc/reference/adaptors/type_erased.qbk	(revision 81672)
+++ libs/range/doc/reference/adaptors/type_erased.qbk	(working copy)
@@ -21 +21 @@
-    * `Traversal` is the tag used to identify the traversal of the resultant range. Frequently it is desireable to set a traversal category lower than the source container or range to maximize the number of ranges that can convert to the `any_range`. If this is left as boost::use_default then `Traversal` will be `typename boost::iterator_traversal<boost::range_iterator<Rng>::type>::type`
+    * `Traversal` is the tag used to identify the traversal of the resultant range. Frequently it is desirable to set a traversal category lower than the source container or range to maximize the number of ranges that can convert to the `any_range`. If this is left as boost::use_default then `Traversal` will be `typename boost::iterator_traversal<boost::range_iterator<Rng>::type>::type`
Index: libs/range/doc/reference/algorithm/fill_n.qbk
===================================================================
--- libs/range/doc/reference/algorithm/fill_n.qbk	(revision 81672)
+++ libs/range/doc/reference/algorithm/fill_n.qbk	(working copy)
@@ -17 +17 @@
-`fill_n` assigns the value `val` to `n` elements in the range `rng` begining with `boost::begin(rng)`.
+`fill_n` assigns the value `val` to `n` elements in the range `rng` beginning with `boost::begin(rng)`.
Index: libs/range/doc/reference/algorithm/lexicographical_compare.qbk
===================================================================
--- libs/range/doc/reference/algorithm/lexicographical_compare.qbk	(revision 81672)
+++ libs/range/doc/reference/algorithm/lexicographical_compare.qbk	(working copy)
@@ -44 +44 @@
-* Let `x` be an object of `SinglePassRange1`'s value type. Let `y` be an obect of `SinglePassRange2`'s value type. `x < y` must be valid. `y < x` must be valid.
+* Let `x` be an object of `SinglePassRange1`'s value type. Let `y` be an object of `SinglePassRange2`'s value type. `x < y` must be valid. `y < x` must be valid.
Index: libs/range/doc/reference/algorithm/mismatch.qbk
===================================================================
--- libs/range/doc/reference/algorithm/mismatch.qbk	(revision 81672)
+++ libs/range/doc/reference/algorithm/mismatch.qbk	(working copy)
@@ -83 +83 @@
-`mismatch` finds the first position where the correseponding elements from the two ranges `rng1` and `rng2` are not equal.
+`mismatch` finds the first position where the corresponding elements from the two ranges `rng1` and `rng2` are not equal.
Index: libs/range/doc/reference/numeric/accumulate.qbk
===================================================================
--- libs/range/doc/reference/numeric/accumulate.qbk	(revision 81672)
+++ libs/range/doc/reference/numeric/accumulate.qbk	(working copy)
@@ -45 +45 @@
-# An `operator+` is defined for a left-hand operand of type `Value` and a right-hand operance of the `SinglePassRange` value type.
+# An `operator+` is defined for a left-hand operand of type `Value` and a right-hand operand of the `SinglePassRange` value type.
Index: libs/range/doc/reference/utilities.qbk
===================================================================
--- libs/range/doc/reference/utilities.qbk	(revision 81672)
+++ libs/range/doc/reference/utilities.qbk	(working copy)
@@ -24 +24 @@
-Recall that many default constructed iterators are [*/singular/] and hence can only be assigned, but not compared or incremented or anything. However, if one creates a default constructed `iterator_range`, then one can still call all its member functions. This design decision avoids the `iterator_range` imposing limitations upon ranges of iterators that are not singular. Any singularity limitation is simply propogated from the underlying iterator type.
+Recall that many default constructed iterators are [*/singular/] and hence can only be assigned, but not compared or incremented or anything. However, if one creates a default constructed `iterator_range`, then one can still call all its member functions. This design decision avoids the `iterator_range` imposing limitations upon ranges of iterators that are not singular. Any singularity limitation is simply propagated from the underlying iterator type.
